/* Switch */
/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 90px;
    flex-shrink: 0;
    height: 38px;
}
.switch.mobile {
    width: 55px;
    height: 22px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #bebebe;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}
.switch.outline .slider {
    border-color: white;
    border-style: solid;
    border-width: 1px;
}

.slider::before {
    position: absolute;
    content: "";
    height: 30px;
    width: 30px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}
.switch.outline .slider::before {
    bottom: 3px;
}
.switch.mobile .slider::before {
    height: 18px;
    width: 18px;
    left: 2px;
    bottom: 2px;
}

.switch input {
    transition: transform 2s cubic-bezier(0.83, 0, 0.17, 1);
    -moz-transition: transform 2s cubic-bezier(0.83, 0, 0.17, 1);
    -ms-transition: transform 2s cubic-bezier(0.83, 0, 0.17, 1);
    -o-transition: transform 2s cubic-bezier(0.83, 0, 0.17, 1);
    -webkit-transition: transform 2s cubic-bezier(0.83, 0, 0.17, 1);
}

.switch input:checked + .slider {
    background-color: #3cb6a0;
}

.switch input:focus + .slider {
    box-shadow: 0 0 1px #3cb6a0;
}

.switch input:checked + .slider:before {
    transform: translateX(52px);
    -webkit-transform: translateX(52px);
    -moz-transform: translateX(52px);
    -ms-transform: translateX(52px);
    -o-transform: translateX(52px);
}
.switch.mobile input:checked + .slider:before {
    transform: translateX(33px);
    -webkit-transform: translateX(33px);
    -moz-transform: translateX(33px);
    -ms-transform: translateX(33px);
    -o-transform: translateX(33px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}
.switch.mobile .slider.round {
    border-radius: 7px;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    -ms-border-radius: 7px;
    -o-border-radius: 7px;
}

.slider.round::before {
    border-radius: 50%;
}